import { AccessoryPlugin, HAP, Logging, PlatformConfig, Service } from 'homebridge';
import { KM200 } from './lib/km200';
export declare class LogamaticWater implements AccessoryPlugin {
    private readonly log;
    private readonly config;
    private readonly km200;
    private timeoutId;
    private characteristic;
    name: string;
    logamaticConfiguration: Object;
    private readonly thermostatService;
    private readonly informationService;
    constructor(hap: HAP, log: Logging, name: string, config: PlatformConfig, logamaticConfiguration: Object, km200: KM200);
    identify(): void;
    getServices(): Service[];
    refreshTimeout(): void;
}
//# sourceMappingURL=water-accessory.d.ts.map